* [gentoo-commits] proj/lisp:master commit in: dev-lisp/local-time/, dev-lisp/local-time/files/
@ 2015-04-28 21:42 José María Alonso
0 siblings, 0 replies; 2+ messages in thread
From: José María Alonso @ 2015-04-28 21:42 UTC (permalink / raw
To: gentoo-commits
commit: 39c3841e4c13bcaa204db0a7c04dbf5e9e397118
Author: Chema Alonso <nimiux <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 28 21:41:44 2015 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Tue Apr 28 21:41:44 2015 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=39c3841e
dev-lisp/local-time: bump to version 1.0.5
.../files/1.0.5-gentoo-use-system-zonedata.patch | 27 ++++++++++++
dev-lisp/local-time/local-time-1.0.5.ebuild | 49 ++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/dev-lisp/local-time/files/1.0.5-gentoo-use-system-zonedata.patch b/dev-lisp/local-time/files/1.0.5-gentoo-use-system-zonedata.patch
new file mode 100644
index 0000000..e8a5b62
--- /dev/null
+++ b/dev-lisp/local-time/files/1.0.5-gentoo-use-system-zonedata.patch
@@ -0,0 +1,27 @@
+diff -Nuar a/src/local-time.lisp b/src/local-time.lisp
+--- a/src/local-time.lisp 2014-12-05 03:01:37.000000000 +0100
++++ b/src/local-time.lisp 2015-04-27 11:12:05.317886065 +0200
+@@ -91,22 +91,7 @@
+ (defvar *default-timezone*)
+
+ (defparameter *default-timezone-repository-path*
+- (flet ((try (project-home-directory)
+- (when project-home-directory
+- (ignore-errors
+- (truename
+- (merge-pathnames "zoneinfo/"
+- (make-pathname :directory (pathname-directory project-home-directory))))))))
+- (or (when (find-package "ASDF")
+- (let ((path (eval (read-from-string
+- "(let ((system (asdf:find-system :local-time nil)))
+- (when system
+- (asdf:component-pathname system)))"))))
+- (try path)))
+- (let ((path (or #.*compile-file-truename*
+- *load-truename*)))
+- (when path
+- (try (merge-pathnames "../" path)))))))
++ #p"/usr/share/zoneinfo/")
+
+ ;;; Per Naggum we use the terms Political Time and Scientific Time to
+ ;;; distinguish between two ways to think about adjusting times around
diff --git a/dev-lisp/local-time/local-time-1.0.5.ebuild b/dev-lisp/local-time/local-time-1.0.5.ebuild
new file mode 100644
index 0000000..2f8720d
--- /dev/null
+++ b/dev-lisp/local-time/local-time-1.0.5.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit common-lisp-3
+
+DESCRIPTION="LOCAL-TIME is a development library for manipulating date and time information."
+HOMEPAGE="http://common-lisp.net/project/local-time/"
+SRC_URI="https://common-lisp.net/project/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="doc postgres"
+
+DEPEND="sys-apps/texinfo
+ doc? ( virtual/texi2dvi )"
+RDEPEND="sys-libs/timezone-data
+ dev-lisp/cl-fad"
+PDEPEND="postgres? ( dev-lisp/postmodern )"
+
+install_postgresql_files() {
+ common-lisp-install-sources src/integration/cl-postgres.lisp
+ common-lisp-install-asdf cl-postgres+local-time.asd
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PV}-gentoo-use-system-zonedata.patch
+}
+
+src_compile() {
+ cd doc
+ if use doc ; then
+ VARTEXFONTS="${T}"/fonts \
+ texi2pdf ${PN}.texinfo -o ${PN}.pdf || die "Cannot build PDF docs"
+ fi
+}
+
+src_install() {
+ common-lisp-install-sources src/*.lisp test
+ common-lisp-install-asdf local-time.asd local-time.test.asd
+
+ use postgres && install_postgresql_files
+ dodoc CREDITS README TODO
+ doinfo doc/${PN}.info
+ use doc && dodoc doc/${PN}.pdf
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/local-time/, dev-lisp/local-time/files/
@ 2016-12-01 16:10 José María Alonso
0 siblings, 0 replies; 2+ messages in thread
From: José María Alonso @ 2016-12-01 16:10 UTC (permalink / raw
To: gentoo-commits
commit: 9485b0a0d91076fd0d2e2b7bd362955b5a2f2b31
Author: Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 1 16:10:40 2016 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Thu Dec 1 16:10:40 2016 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=9485b0a0
dev-lisp/local-time: Bumps version to 1.0.6
.../local-time-1.0.6-use-system-zonedata.patch | 27 ++++++++++++
dev-lisp/local-time/local-time-1.0.6.ebuild | 49 ++++++++++++++++++++++
2 files changed, 76 insertions(+)
diff --git a/dev-lisp/local-time/files/local-time-1.0.6-use-system-zonedata.patch b/dev-lisp/local-time/files/local-time-1.0.6-use-system-zonedata.patch
new file mode 100644
index 0000000..19c5e13
--- /dev/null
+++ b/dev-lisp/local-time/files/local-time-1.0.6-use-system-zonedata.patch
@@ -0,0 +1,27 @@
+diff -Nuar a/src/local-time.lisp b/src/local-time.lisp
+--- a/src/local-time.lisp 2015-05-27 13:13:43.000000000 +0200
++++ b/src/local-time.lisp 2016-12-01 17:00:46.440002481 +0100
+@@ -91,22 +91,7 @@
+ (defvar *default-timezone*)
+
+ (defparameter *default-timezone-repository-path*
+- (flet ((try (project-home-directory)
+- (when project-home-directory
+- (ignore-errors
+- (truename
+- (merge-pathnames "zoneinfo/"
+- (make-pathname :directory (pathname-directory project-home-directory))))))))
+- (or (when (find-package "ASDF")
+- (let ((path (eval (read-from-string
+- "(let ((system (asdf:find-system :local-time nil)))
+- (when system
+- (asdf:component-pathname system)))"))))
+- (try path)))
+- (let ((path (or #.*compile-file-truename*
+- *load-truename*)))
+- (when path
+- (try (merge-pathnames "../" path)))))))
++ #p"/usr/share/zoneinfo/")
+
+ ;;; Month information
+ (defparameter +month-names+
diff --git a/dev-lisp/local-time/local-time-1.0.6.ebuild b/dev-lisp/local-time/local-time-1.0.6.ebuild
new file mode 100644
index 0000000..b816e2c
--- /dev/null
+++ b/dev-lisp/local-time/local-time-1.0.6.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit common-lisp-3
+
+DESCRIPTION="LOCAL-TIME is a development library for manipulating date and time information."
+HOMEPAGE="http://common-lisp.net/project/local-time/"
+SRC_URI="https://github.com/dlowe-net/${PN}/archive/v${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="doc postgres"
+
+DEPEND="sys-apps/texinfo
+ doc? ( virtual/texi2dvi )"
+RDEPEND="sys-libs/timezone-data
+ dev-lisp/cl-fad"
+PDEPEND="postgres? ( dev-lisp/postmodern )"
+
+install_postgresql_files() {
+ common-lisp-install-sources src/integration/cl-postgres.lisp
+ common-lisp-install-asdf cl-postgres+local-time.asd
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-use-system-zonedata.patch
+ default
+}
+
+src_compile() {
+ if use doc ; then
+ cd doc || die
+ VARTEXFONTS="${T}"/fonts \
+ texi2pdf ${PN}.texinfo -o ${PN}.pdf || die
+ fi
+}
+
+src_install() {
+ common-lisp-install-sources src/*.lisp test
+ common-lisp-install-asdf local-time.asd local-time.test.asd
+
+ use postgres && install_postgresql_files
+ dodoc CREDITS README TODO
+ use doc && dodoc doc/${PN}.pdf
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2016-12-01 16:10 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-04-28 21:42 [gentoo-commits] proj/lisp:master commit in: dev-lisp/local-time/, dev-lisp/local-time/files/ José María Alonso
-- strict thread matches above, loose matches on Subject: below --
2016-12-01 16:10 José María Alonso
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox